Bug 465696 - Ath9k Cannot Connect to WNR834Bv2 Router
Ath9k Cannot Connect to WNR834Bv2 Router
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
10
i386 Linux
medium Severity urgent
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-05 14:28 EDT by Partha Bagchi
Modified: 2009-03-16 11:08 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-16 11:08:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Wireshark output (11.63 KB, text/plain)
2008-10-26 09:17 EDT, Partha Bagchi
no flags Details
Wireshark output (37.98 KB, text/plain)
2008-10-26 09:18 EDT, Partha Bagchi
no flags Details
tcpdump from the ath9k connection (100.35 KB, text/plain)
2008-11-02 14:26 EST, Partha Bagchi
no flags Details

  None (edit)
Description Partha Bagchi 2008-10-05 14:28:09 EDT
Description of problem: When networkmanager tries to connect to my router, the connection times out. I have tried to build my own compat-wireless modules, however, the make install will not overwrite the built-in module.

Currently, the wireless light will not turn on. This is a new thing with the current kernel. The light works fine with the 2.6.26 series kernel in Fedora 9.

iwlist scan is able to find the router even though the light is off, so I am assuming the radio is turned on.


Version-Release number of selected component (if applicable): 2.6.27-0.391.rc8.git7.fc10.i686 

The chipset is Atheros 9280


How reproducible: While booting up, the connection will time out. All the relevant portions of the /var/log/message reproduced below. Note that the connection times out even if you are sitting next to the router.

I am able to make the device in Fedora 9 with the 2.6.26 kernel. However, the ath9k-devel list will not support that kernel. 

See the following thread:
https://lists.ath9k.org/pipermail/ath9k-devel/2008-September/000279.html

and the following thread for 2.6.27 kernel:

https://lists.ath9k.org/pipermail/ath9k-devel/2008-October/000419.html




Steps to Reproduce:
1. login
2. wireless connection (wlan0) connection timed out.
3.
  
Actual results: No wireless connection


Expected results: Wireless connection - stable wireless connection would be even better.


Additional info:
Oct  5 08:18:19 Bordeaux NetworkManager: <info>  wlan0: driver is 'ath9k'.
Oct  5 08:18:19 Bordeaux NetworkManager: <info>  wlan0: driver supports SSID scans (scan_capa 0x01).
Oct  5 08:18:19 Bordeaux NetworkManager: <info>  Found new 802.11 WiFi device 'wlan0'.
Oct  5 08:18:19 Bordeaux NetworkManager: <info>  (wlan0): exported as /org/freedesktop/Hal/devices/net_00_1f_e2_ce_f1_64
Oct  5 08:18:20 Bordeaux NetworkManager: <info>  (wlan0): supplicant manager is now in state 1 (from 0).
Oct  5 08:18:20 Bordeaux nm-system-settings:    ifcfg-fedora: parsing /etc/sysconfig/network-scripts/ifcfg-wlan0 ... 
Oct  5 08:18:23 Bordeaux NetworkManager: <info>  (wlan0): device state change: 1 -> 2
Oct  5 08:18:23 Bordeaux NetworkManager: <info>  (wlan0): bringing up device.
Oct  5 08:18:23 Bordeaux kernel: ADDRCONF(NETDEV_UP): wlan0: link is not ready
Oct  5 08:18:23 Bordeaux NetworkManager: <info>  (wlan0): preparing device.
Oct  5 08:18:23 Bordeaux NetworkManager: <info>  (wlan0): deactivating device.
Oct  5 08:18:23 Bordeaux NetworkManager: <info>  (wlan0): device state change: 2 -> 3
Oct  5 08:18:24 Bordeaux NetworkManager: <info>  (wlan0): supplicant interface state change: 1 -> 2.
Oct  5 08:18:24 Bordeaux kernel: wlan0 (WE) : Wireless Event too big (342)
Oct  5 12:19:36 Bordeaux NetworkManager: <info>  Activation (wlan0) starting connection 'Auto Chamberlain'
Oct  5 12:19:36 Bordeaux NetworkManager: <info>  (wlan0): device state change: 3 -> 4
Oct  5 12:19:36 Bordeaux NetworkManager: <info>  Activation (wlan0) Stage 1 of 5 (Device Prepare) scheduled...
Oct  5 12:19:36 Bordeaux NetworkManager: <info>  Activation (wlan0) Stage 1 of 5 (Device Prepare) started...
Oct  5 12:19:36 Bordeaux NetworkManager: <info>  Activation (wlan0) Stage 2 of 5 (Device Configure) scheduled...
Oct  5 12:19:36 Bordeaux NetworkManager: <info>  Activation (wlan0) Stage 1 of 5 (Device Prepare) complete.
Oct  5 12:19:36 Bordeaux NetworkManager: <info>  Activation (wlan0) Stage 2 of 5 (Device Configure) starting...
Oct  5 12:19:36 Bordeaux NetworkManager: <info>  (wlan0): device state change: 4 -> 5
Oct  5 12:19:36 Bordeaux NetworkManager: <info>  Activation (wlan0/wireless): connection 'Auto Chamberlain' requires no security.  No secrets needed.
Oct  5 12:19:36 Bordeaux NetworkManager: <info>  Activation (wlan0) Stage 2 of 5 (Device Configure) complete.
Oct  5 12:19:36 Bordeaux NetworkManager: <info>  (wlan0): supplicant connection state change: 2 -> 0
Oct  5 12:19:36 Bordeaux NetworkManager: <info>  (wlan0): supplicant connection state change: 0 -> 2
Oct  5 12:19:39 Bordeaux NetworkManager: <info>  (wlan0): supplicant connection state change: 2 -> 3
Oct  5 12:19:51 Bordeaux NetworkManager: <info>  wlan0: link timed out.
Oct  5 12:19:59 Bordeaux NetworkManager: <info>  (wlan0): supplicant connection state change: 3 -> 0
Oct  5 12:19:59 Bordeaux NetworkManager: <info>  (wlan0): supplicant connection state change: 0 -> 2
Oct  5 12:20:01 Bordeaux NetworkManager: <info>  Activation (wlan0/wireless): association took too long, failing activation.
Oct  5 12:20:01 Bordeaux NetworkManager: <info>  (wlan0): device state change: 5 -> 9
Oct  5 12:20:01 Bordeaux NetworkManager: <info>  Activation (wlan0) failed for access point (Chamberlain)
Oct  5 12:20:01 Bordeaux NetworkManager: <info>  Activation (wlan0) failed.
Oct  5 12:20:01 Bordeaux NetworkManager: <info>  (wlan0): device state change: 9 -> 3
Oct  5 12:20:01 Bordeaux NetworkManager: <info>  (wlan0): deactivating device.
Comment 1 Partha Bagchi 2008-10-11 07:53:44 EDT
Not even an acknowledgement that the bug has been filled?

According to the ath9k-devel list, compat-wireless provides a "brand new, shiny" mac80211 for the 2.6.27 kernel. Unfortunately, since it is built into the Fedora kernel and not is a module, it doesn't get built when I try to make compat-wireless. Hence I cannot take advantage of the new modules. Also, my builds immediately segfault.

At least give me the option of a modular mac80211.

Thanks,
Partha
Comment 2 Peter Robinson 2008-10-12 12:01:26 EDT
Looking at the thread you are trying to compile compat-wireless-2.6-old drivers for the 2.6.26 kernel. The -old package is for kernels 2.6.22 and older so it will be the same as what Fedora already ships but older. Fedora has already included the "brand new, shiny" mac80211 you mention. Looking at the thread you mention it looks like with the rawhide kernel your running your seeing the issues that the  "[PATCH] ath9k: connectivity is lost after Group rekeying is done" patch should fix but it doesn't look like that patch is upstream yet. The wireless repository is pulled in on occasion to Fedora so when the patch ends up in there it should eventually be pulled into Fedora. With the final .27 kernel out with luck that might be soon.
Comment 3 Partha Bagchi 2008-10-12 13:21:37 EDT
If you look at this bug, you will notice that I was talking about 2.6.27-0.391.rc8.git7.fc10.i686 kernel. I have not updated this thread for the simple reason that there was not even an acknowledgement of the bug and so thought it to be a pointless exercise. 

I pointed to the thread (above) so that the FC10 developers could see if worthwhile information could be gleaned from the ath9k-devel thread. Sorry if I was not being clearer.

My results were identical with the kernels up to 2.6.27-3.fc10. I have since decided to reinstall FC9. 

The issue is the same. Ath9k does not work with an N-router. I was able to get some connectivity with a G-router with a 2.6.26 kernel.

Hope this is clear. Feel free to send me an email or leave a comment here.

Thanks,
Partha
Comment 4 Partha Bagchi 2008-10-22 19:08:34 EDT
Latest Comments:

Using the latest kernel: 2.6.27.3-30.rc1.fc10.i686 #1 SMP 

As usual, there was no connectivity using Network Manager and wpa_supplicant:
----------
Oct 22 05:36:07 Bordeaux NetworkManager: <info>  Config: added 'ssid' value 'Chamberlain'
Oct 22 05:36:07 Bordeaux NetworkManager: <info>  Config: added 'scan_ssid' value '1'
Oct 22 05:36:07 Bordeaux NetworkManager: <info>  Config: added 'key_mgmt' value 'NONE'
Oct 22 05:36:07 Bordeaux NetworkManager: <info>  Activation (wlan0) Stage 2 of 5 (Device Configure) complete.
Oct 22 05:36:07 Bordeaux NetworkManager: <info>  Config: set interface ap_scan to 1
Oct 22 05:36:07 Bordeaux NetworkManager: <info>  (wlan0): supplicant connection state change: 0 -> 2
Oct 22 05:36:07 Bordeaux NetworkManager: <info>  (wlan0): supplicant connection state change: 2 -> 3
Oct 22 05:36:07 Bordeaux kernel: ForceXPAon: 0
Oct 22 05:36:07 Bordeaux kernel: ForceXPAon: 0
Oct 22 05:36:07 Bordeaux kernel: ForceXPAon: 0
Oct 22 05:36:29 Bordeaux NetworkManager: <info>  (wlan0): supplicant connection state change: 2 -> 3
Oct 22 05:36:29 Bordeaux kernel: ForceXPAon: 0
Oct 22 05:36:29 Bordeaux kernel: ForceXPAon: 0
Oct 22 05:36:32 Bordeaux NetworkManager: <info>  Activation (wlan0/wireless): association took too long, failing activation.
Oct 22 05:36:32 Bordeaux NetworkManager: <info>  (wlan0): device state change: 5 -> 9
Oct 22 05:36:32 Bordeaux NetworkManager: <info>  Activation (wlan0) failed for access point (Chamberlain)
Oct 22 05:36:32 Bordeaux NetworkManager: <info>  Marking connection 'Auto Chamberlain' invalid.
Oct 22 05:36:32 Bordeaux NetworkManager: <info>  Activation (wlan0) failed.
Oct 22 05:36:32 Bordeaux NetworkManager: <info>  (wlan0): device state change: 9 -> 3
Oct 22 05:36:32 Bordeaux NetworkManager: <info>  (wlan0): deactivating device (reason: 0).
Oct 22 05:36:44 Bordeaux NetworkManager: <info>  Activation (wlan0) starting connection 'Auto Chamberlain'
Oct 22 05:36:44 Bordeaux NetworkManager: <info>  (wlan0): device state change: 3 -> 4
Oct 22 05:36:44 Bordeaux NetworkManager: <info>  Activation (wlan0) Stage 1 of 5 (Device Prepare) scheduled...
Oct 22 05:36:44 Bordeaux NetworkManager: <info>  Activation (wlan0) Stage 1 of 5 (Device Prepare) started...
Oct 22 05:36:44 Bordeaux NetworkManager: <info>  Activation (wlan0) Stage 2 of 5 (Device Configure) scheduled...
Oct 22 05:36:44 Bordeaux NetworkManager: <info>  Activation (wlan0) Stage 1 of 5 (Device Prepare) complete.
Oct 22 05:36:44 Bordeaux NetworkManager: <info>  Activation (wlan0) Stage 2 of 5 (Device Configure) starting...
Oct 22 05:36:44 Bordeaux NetworkManager: <info>  (wlan0): device state change: 4 -> 5
----------

Then at a lark, decided to see if shutting down Network Manager and wpa_supplicant helps (did not do so before). Well success of sorts when I use dhclient directly:
----------
Oct 22 05:37:44 Bordeaux NetworkManager: <WARN>  nm_signal_handler(): Caught signal 15, shutting down normally.
Oct 22 05:37:44 Bordeaux NetworkManager: <info>  (eth0): now unmanaged
Oct 22 05:37:44 Bordeaux NetworkManager: <info>  (eth0): device state change: 2 -> 1
Oct 22 05:37:44 Bordeaux NetworkManager: <info>  (eth0): cleaning up...
Oct 22 05:37:44 Bordeaux NetworkManager: <info>  (eth0): taking down device.
Oct 22 05:37:44 Bordeaux kernel: sky2 eth0: disabling interface
Oct 22 05:37:44 Bordeaux NetworkManager: <info>  (wlan0): now unmanaged
Oct 22 05:37:44 Bordeaux NetworkManager: <info>  (wlan0): device state change: 3 -> 1
Oct 22 05:37:44 Bordeaux NetworkManager: <info>  (wlan0): cleaning up...
Oct 22 05:37:44 Bordeaux NetworkManager: <info>  (wlan0): taking down device.
Oct 22 05:37:44 Bordeaux avahi-daemon[2393]: Withdrawing address record for fe80::21f:e2ff:fece:f164 on wlan0.
Oct 22 05:38:39 Bordeaux kernel: ath9k 0000:06:00.0: PCI INT A disabled
Oct 22 05:38:39 Bordeaux kernel: ath9k: driver unloaded
Oct 22 05:38:45 Bordeaux kernel: usb 7-1: USB disconnect, address 2
Oct 22 05:38:45 Bordeaux kernel: btusb_intr_complete: hci0 urb f521b600 failed to resubmit (19)
Oct 22 05:38:45 Bordeaux kernel: btusb_send_frame: hci0 urb f5335380 submission failed
Oct 22 05:38:45 Bordeaux bluetoothd[2266]: HCI dev 0 down
Oct 22 05:38:45 Bordeaux bluetoothd[2266]: Unregistered interface org.bluez.NetworkPeer on path /org/bluez/hci0
Oct 22 05:38:45 Bordeaux bluetoothd[2266]: Unregistered interface org.bluez.NetworkHub on path /org/bluez/hci0
Oct 22 05:38:45 Bordeaux bluetoothd[2266]: Unregistered interface org.bluez.NetworkRouter on path /org/bluez/hci0
Oct 22 05:38:45 Bordeaux bluetoothd[2266]: Adapter /org/bluez/hci0 has been disabled
Oct 22 05:38:45 Bordeaux bluetoothd[2266]: Stopping security manager 0
Oct 22 05:38:45 Bordeaux bluetoothd[2266]: HCI dev 0 unregistered
Oct 22 05:38:45 Bordeaux bluetoothd[2266]: Unregister path: /org/bluez/hci0
Oct 22 05:38:49 Bordeaux kernel: usb 7-1: new full speed USB device using uhci_hcd and address 3
Oct 22 05:38:49 Bordeaux kernel: usb 7-1: configuration #1 chosen from 1 choice
Oct 22 05:38:49 Bordeaux bluetoothd[2266]: HCI dev 0 registered
Oct 22 05:38:49 Bordeaux kernel: usb 7-1: New USB device found, idVendor=044e, idProduct=3017
Oct 22 05:38:49 Bordeaux kernel: usb 7-1: New USB device strings: Mfr=1, Product=2, SerialNumber=3
Oct 22 05:38:49 Bordeaux kernel: usb 7-1: Product: BCM2046 Bluetooth Device
Oct 22 05:38:49 Bordeaux kernel: usb 7-1: Manufacturer: Broadcom Corp
Oct 22 05:38:49 Bordeaux kernel: usb 7-1: SerialNumber: 001E3DEA95CA
Oct 22 05:38:49 Bordeaux bluetoothd[2266]: HCI dev 0 up
Oct 22 05:38:50 Bordeaux bluetoothd[2266]: Registered interface org.bluez.Service on path /org/bluez/hci0
Oct 22 05:38:50 Bordeaux bluetoothd[2266]: Failed to listen on control channel
Oct 22 05:38:50 Bordeaux bluetoothd[2266]: Registered interface org.bluez.SerialProxyManager on path /org/bluez/hci0
Oct 22 05:38:50 Bordeaux bluetoothd[2266]: Registered interface org.bluez.NetworkPeer on path /org/bluez/hci0
Oct 22 05:38:50 Bordeaux bluetoothd[2266]: Registered interface org.bluez.NetworkHub on path /org/bluez/hci0
Oct 22 05:38:50 Bordeaux bluetoothd[2266]: Registered interface org.bluez.NetworkRouter on path /org/bluez/hci0
Oct 22 05:38:50 Bordeaux bluetoothd[2266]: Adapter /org/bluez/hci0 has been enabled
Oct 22 05:38:50 Bordeaux bluetoothd[2266]: Starting security manager 0
Oct 22 05:39:00 Bordeaux kernel: ath9k: 0.1
Oct 22 05:39:00 Bordeaux kernel: ath9k 0000:06:00.0: PCI INT A -> GSI 19 (level, low) -> IRQ 19
Oct 22 05:39:01 Bordeaux kernel: phy1: Atheros 9280: mem=0xf8900000, irq=19
Oct 22 05:39:17 Bordeaux kernel: ForceXPAon: 0
Oct 22 05:39:17 Bordeaux kernel: ADDRCONF(NETDEV_UP): wlan0: link is not ready
Oct 22 05:39:17 Bordeaux kernel: ForceXPAon: 0
Oct 22 05:39:17 Bordeaux kernel: ForceXPAon: 0
Oct 22 05:39:17 Bordeaux kernel: ForceXPAon: 0
Oct 22 05:39:17 Bordeaux kernel: ForceXPAon: 0
Oct 22 05:39:17 Bordeaux kernel: ForceXPAon: 0
Oct 22 05:39:17 Bordeaux kernel: wlan0 (WE) : Wireless Event too big (342)
Oct 22 05:39:18 Bordeaux kernel: ForceXPAon: 0
Oct 22 05:39:18 Bordeaux kernel: ADDRCONF(NETDEV_CHANGE): wlan0: link becomes ready
Oct 22 05:39:19 Bordeaux avahi-daemon[2393]: Registering new address record for fe80::21f:e2ff:fece:f164 on wlan0.*.
Oct 22 05:39:33 Bordeaux dhclient: DHCPDISCOVER on wlan0 to 255.255.255.255 port 67 interval 4
Oct 22 05:39:33 Bordeaux dhclient: DHCPOFFER from 192.168.1.1
Oct 22 05:39:33 Bordeaux dhclient: DHCPREQUEST on wlan0 to 255.255.255.255 port 67
Oct 22 05:39:33 Bordeaux dhclient: DHCPACK from 192.168.1.1
Oct 22 05:39:33 Bordeaux avahi-daemon[2393]: Joining mDNS multicast group on interface wlan0.IPv4 with address 192.168.1.6.
Oct 22 05:39:33 Bordeaux avahi-daemon[2393]: New relevant interface wlan0.IPv4 for mDNS.
Oct 22 05:39:33 Bordeaux avahi-daemon[2393]: Registering new address record for 192.168.1.6 on wlan0.IPv4.
Oct 22 05:39:33 Bordeaux NET[3554]: /sbin/dhclient-script : updated /etc/resolv.conf
Oct 22 05:39:33 Bordeaux dhclient: bound to 192.168.1.6 -- renewal in 35865 seconds.
----------

However, even though I could ping the router, I had no connection to the net. 
So some success and now I am not sure what the problem is.
----------

/etc/resolv.conf did not show anything unusual but no signal was getting through.

I had to revert back to my other wireless connection to connect to the net.

Thanks,
Partha
Comment 5 John W. Linville 2008-10-23 13:50:52 EDT
If you can ping the router, I don't see how this is a driver problem.  Perhaps your routing configuration is incorrect.

Could you use a different device in monitor mode along with wireshark (or even tcpdump) to capture the on-air traffic while your device is trying to associate with the router?
Comment 6 Partha Bagchi 2008-10-23 18:50:34 EDT
I see that you did not notice the fact that Network Manager is unable to connect and times out. I was able to connect (with the latest kernel) manually by disabling Network Manager. Would you say this is a Network Manager problem or the driver problem?

Secondly, I am able to use a D-Link USB 54g card and connect quite nicely and able to file this bug report. I would say that the router is configured correctly? Also, we have 5 laptops 2 Fedora 10, and 3 Windows. They are all able to connect just fine. (The Windows machines are N and G & G).

So, I am not sure how this would be a router configuration problem. The configuration is almost automatic. It really was plug and play. This is the router - http://kbserver.netgear.com/products/wnr834bv2.asp. Also, it uses a gpled firmware.

Regarding your questions, could you please tell me if this is what you want?
1. Connect with my USB wireless card.
2. start tcpdump
3. shut down Network Manager? This will take down the connection since it withdraws the network address and shuts down the network. Then when I try to connect (sometimes), I keep getting wlan1 not ready.

Would you tell me what steps you want me to take and what to post back?

Thanks very much for your help!!

Partha
Comment 7 John W. Linville 2008-10-24 10:48:19 EDT
"routing configuration" != "router configuration" -- if you can ping your router then the wireless device must be transmitting and receiving frames.  If you can ping your router but nothing else, then most likely your box (i.e. the laptop) is probably not routing outbound frames properly.  This could be the result of local misconfiguration on that particular box.  Have you tried using other wireless cards on this exact box?

If you can connect using with NetworkManager disabled, then I would say that the problem relates to NetworkManager (i.e. not the driver).  The driver might be doing something that confuses NetworkManager, but I have no idea what that would be.  BTW, have you updated your NetworkManager and wpa_supplicant packages to the latest available?

As for the wireshark stuff, I'm afraid you have misunderstood completely. :-)

What I would like is for you to go to a completely different box and use wireshark to capture wireless frames in monitor mode on the same channel as your AP.  Then use the problem laptop to try to associate with the AP using NetworkManager.  Post the capture trace to this bug...thanks!
Comment 8 Partha Bagchi 2008-10-24 18:59:13 EDT
Sorry I misunderstood "routing configuration" as "router configuration".

However, as for the rest I guess I was not being clear either. :)

I am using a different card on this laptop to be able to communicate with you. That is the D-Link I talked about prior to your response. This USB card is being managed by Network Manager on this laptop.

In response to your question, my system is as up to date as yum tells me. My Network Manager version is 0.7.0. Only after yesterday's update I was able to connect without Network Manager. I have never been able to connect with Network Manager (I am talking about the ar9281) or without till yesterday.

I will try to update this email with your request using another laptop and capturing the tcpdump trace.

Thanks again!

Partha
Comment 9 Partha Bagchi 2008-10-26 09:17:00 EDT
Created attachment 321546 [details]
Wireshark output

This is from another laptop capturing network traffic when the problem laptop was trying to connect using Network Manager
Comment 10 Partha Bagchi 2008-10-26 09:18:21 EDT
Created attachment 321547 [details]
Wireshark output

This is the capture from the problem laptop when I connected using dhclient and after shutting down network manager and wpa_supplicant
Comment 11 Partha Bagchi 2008-11-02 14:26:44 EST
Created attachment 322234 [details]
tcpdump from the ath9k connection
Comment 12 Partha Bagchi 2008-11-02 14:28:42 EST
Now using the latest kernel: 2.6.27.4-68.fc10.i686.
Noticed that when I use my D-link card, Network Manager prints the following
when connecting:
Nov  2 14:16:51 Bordeaux NetworkManager: <info>  DHCP: device wlan1 state
changed normal exit -> preinit
Nov  2 14:16:51 Bordeaux dhclient: Listening on LPF/wlan1/00:1e:58:b4:07:0b
Nov  2 14:16:51 Bordeaux dhclient: Sending on   LPF/wlan1/00:1e:58:b4:07:0b
Nov  2 14:16:51 Bordeaux dhclient: Sending on   Socket/fallback
Nov  2 14:16:52 Bordeaux dhclient: DHCPDISCOVER on wlan1 to 255.255.255.255
port 67 interval 8
Nov  2 14:17:00 Bordeaux dhclient: DHCPDISCOVER on wlan1 to 255.255.255.255
port 67 interval 10
Nov  2 14:17:00 Bordeaux dhclient: DHCPOFFER from 192.168.1.1

However, Network Manager does not print the dhclient lines when trying to
connect with the ath9k driver. Could this be the problem with Network Manager?

Well, I am able to connect by stopping Network Manager and using dhclient
directly. I can ping my router and also fedoraforum.org etc. However, I cannot
get any sites with firefox or email with thunderbird. I am seeing the following
with tcpdump (attached dump above) filtering on only the ip address of this laptop.

Hope this helps in solving the issue.

Thanks again,
Partha
Comment 13 younker 2008-11-07 08:27:27 EST
I installed Fedora 10 Preview on my macbook pro 2,2, but I can not get wireless connection through network manager, 
but after I disabled network manager service and user ifup wlan0, the wireless works very well, so I think that the 
network manager issue, maybe NM 0.7 rc or newer version can solve the problem, but I don't know how to build it.
Comment 14 John W. Linville 2008-11-07 11:17:04 EST
I honestly don't know, but there seems to be some on-going issues with NM.  Please make sure you have applied all available updates.

Regarding comment 12 "I can ping my router and also fedoraforum.org etc. However, I cannot get any sites with firefox or email with thunderbird."  This sounds like a configuration issue to me, but whatever it is I am reasonably certain it is not a driver issue. :-)

Referring back to comment 7, "If you can connect using with NetworkManager disabled, then I would say that the problem relates to NetworkManager (i.e. not the driver).  The driver might be doing something that confuses NetworkManager, but I have no idea what that would be."  Based on that, I'm reassigning to the NetworkManager component.
Comment 15 Partha Bagchi 2008-11-07 19:27:32 EST
All I can say John is thanks for trying.

However, you did ask for the output from wireshark and / or tcpdump. I provided both.

Regarding your comment about my comment that I can ping, but not connect to any site through firefox or connect to my email server, I also told you that using the same computer and also another usb card (d-link) on the same machine, the connection is fine and firefox and my email does fine. I get the feeling that you ignored that.

Another fact is that the recent msg on the ath9k-devel list, someone pointed out that Ubuntu Intrepid LiveCD connected fine but when installed on the hard drive there was not connection. So Luis seemed to have issued a patch. There seemed to have another issue with the beacon confusing mac80211. Since mac80211 is built into the kernel, not sure what to make of that. Luis also issued a patch for that.

So, I think this is a Fedora issue and how network is configured in Fedora.

Anyway that is my assessment. I don't know how else to convince you to look further into the interaction of the driver and networking in Fedora with the latest zeal in getting things to "just work(tm)".

Thanks for your help.

Partha
Comment 16 younker 2008-11-07 20:04:48 EST
(In reply to comment #15)

Hi, I just though I have encountered the case, when I running Fedora Core 10 Preview by live CD, I can connect to my wireless 
network though NM, but after I installed it can not, but I think the driver works well when I disable NM service.
Comment 17 Partha Bagchi 2008-11-08 09:37:48 EST
I tried one more experiment. I disconnected my N-router and reconnected my old linksys wrt54g router. Then a peculiar thing happened.

Now using ath9k, I could no longer connect without NetworkManager!! Here is the error message: 
dhclient wlan0
Nothing to flush.
ipcalc: netmask or prefix expected
Usage: ipcalc [OPTION...]
  -b, --broadcast     Display calculated broadcast address
  -h, --hostname      Show hostname determined via DNS
  -m, --netmask       Display default netmask for IP (class A, B, or C)
  -n, --network       Display network address
  -p, --prefix        Display network prefix
  -s, --silent        Don't ever display error messages 

Help options:
  -?, --help          Show this help message
  --usage             Display brief usage message
Nothing to flush.
Nothing to flush.
^C

Then I restarted NetworkManager and wlan0 started working! I now have connection with the G-router but no connection with the N-router.

So, with N-router I can connect only without NetworkManager but no firefox or thunderbird, and with a G-router, I can only connect with NetworkManager and with firefox and thunderbird.
Comment 18 younker 2008-11-08 20:06:04 EST
I use TP-Link 941 N router, I don't think this problem is related to the router, but I think that 
NM has some problem on detect the network settings, anyway I think ath9k works fine, so driver 
is ok, but NM is not ok
Comment 19 Bug Zapper 2008-11-25 22:35:21 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 20 Luis R. Rodriguez 2009-01-25 19:20:31 EST
Partha, the fact that mac80211 was built-in to the FC10 kernel was reported as a bug under bug #470143. This bug is now closed as John fixed this as of 2.6.27.4-83. So you can now use compat-wireless on FC10 if you like.

If you wish to keep using the ath9k as present on 2.6.27 I'd recommend to upgrade to the latest 2.6.27 kernel, not sure what is the latest 2.6.27 kernel FC10 has but upstream-wise its 2.6.27.13. You don't need to go up so high though, the last critical fix for ath9k went in as of 2.6.27.8 which had some DMA fixes, so I'd recommend to use at least 2.6.27.8, that is unless you don't want your kernel log to bug you with those pesky annoying "ForceXPAon" messages, that was recently fixed on 2.6.26.13, it was just a debug message and we forgot to make it debug, so it always prints on older kernels. As of 2.6.27.13 that is not printed out by default anymore.

We keep track of the latest known issues of ath9k for different kernel revisions here:

http://wireless.kernel.org/en/users/Drivers/ath9k#Mostcommonknownissues

It seems the issue present in this bug report is more of an issue with Network Manager. As for that specific issue unfortunately I do not have much input to provide except to remind you that Network Manager relies on wpa_supplicant for connectivity negotiation for wireless devices and as such I'd like to recommend to upgrade to the latest wpa_supplicant and see if that helps. If FC10 happens to not have updates for it you may want to try to compile it yourself based on the git tree, or check out a new base release. The latest development release is:

http://hostap.epitest.fi/releases/wpa_supplicant-0.6.7.tar.gz

The latest "stable" release is:

http://hostap.epitest.fi/releases/wpa_supplicant-0.5.11.tar.gz

What is the latest wpa_supplicant that FC10 has?

Lastly, since this does not seem to be a kernel issue with the ath9k driver component can you consider renaming the subject of this bug report to not have "ath9k", maybe some thing like "802.11n Network Manager connectivity issue with WNR834Bv2 AP" or something like that.
Comment 21 Dan Williams 2009-02-14 15:10:18 EST
Is this issue better with latest Fedora update kernels?  F-10 now has 2.6.27.12, which may help your issue.
Comment 22 Luis R. Rodriguez 2009-03-15 16:12:24 EDT
I see no updates from the user to this bug.
Comment 23 John W. Linville 2009-03-16 11:08:36 EDT
Closed due to lack of response -- please reopen if/when the requested information is available...thanks!

Note You need to log in before you can comment on or make changes to this bug.